<?php
// AutoDirector client - produces search

// JavaScript header
header('Content-type: text/javascript');

// set application defaults
$defaults='INCLUDEFOLDER;IMAGEFOLDER;DATAFOLDER;CLIENTFOLDER;';

$ini=parse_ini_file('./autodirector.ini');
foreach ($ini as $key=>$value) {
	define($key, $value);
	$defaults=str_replace($key.';', '', $defaults);
}
unset($ini);

// missing application defaults
$dload = ($defaults=='');
unset($defaults);

// ________________________________________________________
// MAIN APPLICATION

$siteid=getvar('site');
$search=getvar('search');
$callback=getvar('callback');

if ($dload && $siteid!='' && $search!='') {

	// start search
	require(INCLUDEFOLDER.'dbhandler.php');

	// connect to database
	$db=new dbObject;

	// start search
	$sql="SELECT id, match (make,model,type,colour,info) against ('$search') AS rel FROM $siteid WHERE display=1 HAVING rel>0 ORDER BY rel DESC;";
	$db->pagesize=0;
	$sa = '';
	if ($db->fetch($sql)) {

		// return search list
		if ($db->rowcount>0) {
			for ($i=0; $i<$db->rowcount; $i++) {
				$row=$db->rowassoc();
				if ($sa != '') $sa.=",";
				$sa .= $row['id'];
			}
		}
	}

	// disconnect from database
	$db->dbDisconnect();
	unset($db);
}


// callback
print "run.searchresult=[$sa];\n$callback;\n";


// ________________________________________________________
// fetches a GET form variable or sets to a default
function getvar($var, $default="") {
	if (isset($_GET[$var])) {
		$ret=$_GET[$var];
		if (get_magic_quotes_gpc()) $ret=stripslashes($ret);
	}
	else {
		$ret=$default;
	}
	return $ret;
}
?>
